# /builddir/build/BUILD/alsa-lib-1.1.0/src/async.c File Reference

Async notification helpers. More...

## Functions

int | snd_async_add_handler (snd_async_handler_t **handler, int fd, snd_async_callback_t callback, void *private_data)
| Registers an async handler.
int | snd_async_del_handler (snd_async_handler_t *handler)
| Deletes an async handler.
int | snd_async_handler_get_signo (snd_async_handler_t *handler)
| Returns the signal number assigned to an async handler.
int | snd_async_handler_get_fd (snd_async_handler_t *handler)
| Returns the file descriptor assigned to an async handler.
void * | snd_async_handler_get_callback_private (snd_async_handler_t *handler)
| Returns the private data assigned to an async handler.

## Detailed Description

Async notification helpers.

Author:
  Abramo Bagnara <abramo@alsa-project.org>

Date:
  2001

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines